# Poco

# template < class TArgs >

# class PriorityExpire

Library: Foundation
Package: Events
Header: Poco/PriorityExpire.h

## Description

Decorator for AbstractPriorityDelegate adding automatic expiring of registrations to AbstractPriorityDelegate.

## Inheritance

Direct Base Classes: AbstractPriorityDelegate < TArgs >

All Base Classes: AbstractPriorityDelegate < TArgs >

## Member Summary

Member Functions: clone, disable, equals, expired, notify, operator =, unwrap

## Constructors

### PriorityExpire

PriorityExpire(
const PriorityExpire & expire
);

### PriorityExpire

PriorityExpire(
const AbstractPriorityDelegate < TArgs > & p,
Timestamp::TimeDiff expireMilliSec
);

## Destructor

### ~PriorityExpire

~PriorityExpire();

## Member Functions

### clone

AbstractPriorityDelegate < TArgs > * clone() const;

### disable

void disable();

### equals

bool equals(
const AbstractDelegate < TArgs > & other
) const;

### notify

bool notify(
const void * sender,
TArgs & arguments
);

### operator =

PriorityExpire & operator = (
const PriorityExpire & expire
);

### unwrap

const AbstractPriorityDelegate < TArgs > * unwrap() const;

### expired

bool expired() const;

## Variables

### _creationTime

Timestamp _creationTime;

### _expire

Timestamp::TimeDiff _expire;

### _pDelegate

AbstractPriorityDelegate < TArgs > * _pDelegate;